I'm new to Inventor and I've been working on a complicated part for quite some time. However, I've just realised that I've made an error at the very beginning. I'm drawing the part in the YZ plane and extruding along the X axis. My problem is due to the fact that I began the drawing at x=0 when I should have began at x=7780mm. moving the entire part in the positive X direction? I've tried several approaches but none seem to work.
Is there a way to move a solid part in an assy using grip snaps and a specific vector direction .
Please look at the attachment,here you will see a gusset positioned on top of a foot plate,the gusset needs to be moved so that it makes contact with the cylinder,it will then be welded. The problem is more difficult because the gusset is offset to the axis of the cylinder and the precise distance is unknown unless worked out using trigonometry.
The question is what is the best method of moving the gusset to the precise distance and direction ?
I need to find out how much smaller the part in the upper image is so it fits inside the similar shape in the bottom image. The real part is a bit more complicated so it's hard to calculate if it fits. Is it possible to make those parts in assembly mode so that they don't move through each other and I could move the upper part inside the lower and find out that way if it fits?
I am trying to move a component within a part drawing, not an assembly. When I do "move bodies" it wants to move every extrusion within my drawing. If I click move face, then I have to click every face that I want to move (which is time consuming) and then it often times doesn't work? Sometime it works other times it just moves the origin indicator and doesn't move the faces I have selected.
I am using Inventor 2010 and would like each view of a drawing to show a different machining step. I.e.. A rough cut dimension and then the finish cut dimension. Is it possible to create the part as it would be machined and then use the EOP marker to set each view. Would like to model one part and get all views.
I have a bunch of parts that are almost identical except for a few minor changes each time. Most have already been created in Inventor. My problem is that I want to rotate the part so that a face that was once along the XZ plane will now be in the XY plane. Is there anyway to rotate it like this? I would like to do this so that when I bring it into Mastercam, I don't have to rotate it each time.
We have imported an AutoCAD 3D model into Inventor and the process generates many individual Inventor parts which are placed in a new Inventor assembly. The parts are all unconstrained in the assembly but spacially positioned relative to each other as they were in the AutoCAD file.
We want to create a new, empty, assembly and place the individual parts one by one into the new assembly constraining them appropriately as we go. This way we can develop a more logical set of sub-assemblies and have the parts more intelligently connected.
So to the point of my question, at last!. Each individual part, generated from the import, contains just a single body. There is no sketch or any features. The part's origin is at the point of the original AutoCAD model's origin. All of the imported parts will have the same origin point. We want to move the part's single body in space to align with the part's origin point and planes. This way when we re-build the assembly we can use each part's origin planes when constraining the part.
There doesn't appear to be any way of constraining or 'snapping' a part's body in space to the origin planes.
I have a circle that I would like to move ‘Z’ direction along the Current UCS. The Current UCS can be in any 3d plane.The code that I have only moves the circle 5 units up along the WCS.
Dim Zp As New Vector3d(0, 0, 5) Zp.TransformBy(ed.CurrentUserCoordinateSystem)myCircle.TransformBy(Matrix3d.Displacement(Zp))
sometimes when using constraints the "movable" part is fixed after adding the first constraint.
If i use i.e. a surface to surface constraint the movable part should be free to slide on the surface.
To move the part in this case I have to add further constraint or delete the old one.
Furthermore sometimes constraints in assemblys do not update automatically. I have to click on the part and try to move it away. After releasing the part the consraint will be updated.
Are there any options to control or better change this behavior?
I went into an assembly to change some parts and sub-assemblies and now everytime I move a part or constrain something I get this message "Errors Occurred During Update". Why is this happening?
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
I have created a linetype with the text GAS OPTION in it. The line is continuous with a break around the text. In a straight line the linetype works fine (breaks around the text etc). However, when I use a polyline and spline the line for a curved line the text aligns with the direction of the line at the start, but when the line bends, the text suddenly changes direction and reads in the opposite direction. It looks like AutoCAD is trying to keep the text upright rather than following the direction of the line. When the text changes direction it also changes its insertion point and overlaps the continuous part of the line. I have 2013 AutoCAD.
Here is the string I used for the linetype.
*GAS_Option_LINE,Gas line ----GAS OPTION----GAS OPTION----GAS OPTION---- A,8,-15,["GAS OPTION",STANDARD,S=2.54,U=0.0,X=-2.35,Y=-1.27],-12
I have cut several sections at different points along a road alignment. The sections are cut facing the same direction as the alignmnet. Is there a way to reverse the section direction without changing the alignment direction?
I have a drawing of a stone railing section and I have to change direction in the run direction of the baluster panel. Is there a way that I can move the details without changing th Y direction of the details. Please refer to the attached CAD file for details. I am trying to avoid having to redesign the panels if possible. railing detail.dwg
I have a path with a smooth point. The two direction points form a direction line with any non-45-degree-angle - say 11.8 degrees. I want to drag one direction point while keeping the angle of exactly 11.8 degrees.
How to make a type of material go in one direction or by another degree . Ex: if you click on a wood type material, it goes up or down and right or left depending which side of that object is. On the picture below, it goes up and down, side to side no all sides go in one direction. I need to know how to mange the direction of the way of where the material go.
is it possible to define a 'natural direction' at a pin, in which a wire should start when connected to that pin? This would seem to be natural for me.
As the attached picture shows, my wire is connected at this pin in a weird direction (because I need to route it through the indicated segment).
What is the best strategy to do it correctly?
Another question: I increased the diameter of the segment, hoping that it means that the wires are constrained within the segment, but are free to move withini this. But they all seem to be constrained to the centerline. What I want is that all my wires pass within this 'tube' of 30mm diameter.
I have an ipart. One dimension is either some value or null.It is a variable in the Table. For instance I have 6mm down from Center point in part A. Than I switched to zero for Part B and if I go back to 6mm for Part A the dimension is now above the Center Point. How to make the dimension stay as initially assigned?
How do i make the 3mm fillet go in the other direction.When i apply the fillets to the top of the pipes it goes inwards but i want the fillet to go outwards.(like a weld - i don`t want to weld though just use a fillet).
I have two parallel lines, seperated by a dimension. I need to change the dimension back and forth between 0" and 4" for my model. Occasionally, the dimension will flip directions when I am changing it from 0" to 4". Is there a way I can avoid this? Should I be approaching my sketch differently?
Inventor 2014 HP Pavilion dv6t-6b00 Intel Core i7 2670QM AMD Radeon HD 6490M 8gb RAM Windows 7 64 bit 3Dconnexion SpaceExplorer
Ive copy and pasted into an image and i thought i got it where i wanted so i saved it and exited the program. But then i realised that the image i pasted was a few pixels off. I have been trying to select a portion of the image and move it to where i want it but cant find how. Ive selected the portion and clicked on move then selection but it moves the selection area not the image within it.
I set up our company log which gets embossed on most parts as a sketch block in an .ipt. The .ipt contains nothing but the sketch block. To use it, the designer only needs to derive the Logo.ipt file into their part and then use the scale setting to set the derived block to the desired size for that part. The result is a scalable set of line geometry that can easily be used for extrusion or emboss that is standard for all users. It works beautifully, that is until you try to use it in a sheet metal part in 2012.
For some reason, when this same part, which works perfectly in normal parts, is derived into a sheet metal part an error pops up stating that, "Selected part does not have any geometry that can be derived." Say what?
I was able to find a workaround by directly copying the block into the sheet metal part, but you no longer have the ability to go back and scale it if needed. Even more strange, when the block was copied over, it could not be deleted from the new part.
Is this just a bug with 2012? Why does it work in a normal part but not sheet metal?
Dear Sir, In particular project, when I insert part in Assembly file, It is inserted as a Tube & Pipe run part. so that It is not Grounded automatically. What is the settings by which I can insert as a normal part in assembly file ? I have attached herewith the JPG file also.
The part i make is from solid model>The part needs to be in sheet metal.What steps do i use to make as sheet metal part and have option to flatten part.
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
I would like to simplify this assembly into one seamless part for FEM calculation:The assembly consists out of parts that, in reality, will be welded together. Due to their form, there is no way to place them exactly onto each other, therefore there are slight gaps between the parts:
Now when I try to merge the assembly into one part via "simplify" --> "create simplified part" and choose "single solid body with seams between planar faces merged", Inventor does not fill these gaps (even though it displays only one part in the bottom right corner of my window). Unfortunately, the remaining gaps brings "contact" problems in the FEM simulation.
how to close the gaps and really merge the assembly into one part?
I have a part that has protrusions. When i mate that part up to another part that second part needs to have cutouts/holes to receive those protrusions.
i mainly use it in sheetmetal parts. and use the rectangular protrusions on de contour to mate up with corresponding cutouts in the other sheet. this works with positioning and also makes for a nice weld spot/area.
But also for making holes to accommodate a mold pin used in custom punch dies. I want the intervening part to receive a corresponding (propperly tolleranced) hole automatically. Much like a bolted connection does.
same for parts like circlips. i want them to automatically generate the seat in the part it's mated to. Rather than using the axle generator.
Ofcourse one can place the parts and do an in assembly interpart projection and go from there, but i want the part to generate the (predifined) modification to the other part. It would save time and also reduces problems as the parts are moved about or even removed.